Subject: Re: [PATCH 1/2] wt-status: avoid passing NULL worktree

From: Shreyansh Paliwal <[email-masked]>
Date: Tue, 17 Feb 2026 22:08:59 +0530

> On 17/02/2026 10:18, Shreyansh Paliwal wrote:
> >
> > I wanted to just check for my understanding: the NULL usage of worktree in
> > get_worktree_git_dir() caller, repo_git_pathv() callers and inside function
> > add_reflogs_to_pending() is intentionally left unchanged for now,
> > and is meant for a follow-up once this gets gets finalized.
> > or it is out of scope wrt this cleanup?
>
> I left those out as they're not needed for cleaning up wt-status.c. They
> can be cleaned up separately if you're still interesting in working on
> that. It would certainly be worth removing "the_repository" from
> get_worktree_git_dir(). The others are not quite so bad as they don't
> use "the_repository".

Thanks, that makes sense.
I will send a patch for get_worktree_git_dir() sometime later.

Best,
Shreyansh